Subject: Re: linux-next: manual merge of the zonefs tree with the vfs-idmapping tree

From: Damien Le Moal <[email-masked]>
Date: Tue, 24 Jan 2023 09:11:47 +0900

On 1/24/23 09:07, Stephen Rothwell wrote:
> Hi Damien,
> 
> On Tue, 24 Jan 2023 08:30:29 +0900 Damien Le Moal <[email-masked]> wrote:
>>
>> OK. I think I will merge the 3 patches that create the conflict and rebase
>> the patches. I need that for retesting at least. But given the size of the
>> conflict resolution, I may push that as an update to my for-6.3/for-next
>> branch. Let me see...
>>
>>> Alternatively, just leave the fix up to Linus (but mention it to him
>>> when you send your pull requests).  
>>
>> Understood. Let me retest first :)
> 
> When I said "merge", I meant literally "git merge <some stable branch
> from the vfs-mapping tree that contains the conflicting commit>" not
> cherry pick the commits i.e. you would need to coordinate with
> Christian about having a common branch (or making sure that the part of
> his tree you pull in is immutable).

Yep, cherry picking did not work :)
I did a merge test and came up with the same resolution as you did. It
looks good. It looks big but is in fact fairly simple. I will keep it as
is and signal it to Linus when I send my PR.

But retesting everything to be sure there are no issues.

Christian,

Next time, when you touch an fs, please cc the maintainer for acks. I had
that zonefs series ready for a while and we could have coordinated for the
conflict...

-- 
Damien Le Moal
Western Digital Research